package com.ximai.mes.report.service;

import com.ximai.mes.report.request.WeeklyProductionReportRequest;

import java.util.List;

public interface WeeklyProductionReportService {
    List getListByProcess(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List getListByWorkshop(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List getListByWorkstation(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List getListByWorkunit(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List getListByUser(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List getDatas(WeeklyProductionReportRequest weeklyProductionReportRequest);
}
